complexType "InterestStatementRequirement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | interestPeriod?, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount)
</...>

Content Model Elements (4):

  interestPeriod (in interestRequirement in interestStatement),
  segregatedIndependentAmount (in interestRequirement in interestStatement),
  segregatedIndependentAmount (in interestRequirement in interestStatement),
  variationMargin (in interestRequirement in interestStatement)

All Direct / Indirect Based Elements (1):

  interestRequirement (in interestStatement)

Known Usage Locations

- As direct type of elements (1):
  interestRequirement (in interestStatement)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="InterestStatementRequirement"> <!-- the content model is essentially the same as for the interestRequirement (used by IN1) except that NO treatment is needed for the Interest Statement --> <xsd:sequence> <xsd:element minOccurs="0" name="interestPeriod" type="InterestPeriod"/> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="InterestStatementDirection"/> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="InterestStatementDirection"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="InterestStatementDirection"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
interestPeriod

  Type: | InterestPeriod, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="interestPeriod" type="InterestPeriod"/>

segregatedIndependentAmount

  Type: | InterestStatementDirection, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="InterestStatementDirection"/>

segregatedIndependentAmount

  Type: | InterestStatementDirection, complex content

  segregated independent amount details for the interest statement
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="segregatedIndependentAmount" type="InterestStatementDirection"/>

variationMargin

  Type: | InterestStatementDirection, complex content

  variation margin details for the interest statement
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="variationMargin" type="InterestStatementDirection"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.